<template>
    <div class="wrapper row" id="fifth_section">
        <!-- <NavSection  ></NavSection> -->
        <div class="background"></div>
        <div class="content row">
            <h2 class="content-title section-title">{{ local.functionsTitle[$lang] }}</h2>
            <nav>
                <ul>
                <router-link tag="li" to="/integration" active-class="nav_item-active">{{ local.intergation[$lang] }}</router-link>
                <router-link tag="li" to="/settings" active-class="nav_item-active">{{ local.settings[$lang] }}</router-link>
                <router-link tag="li" to="/communication" active-class="nav_item-active">{{ local.communication[$lang] }}</router-link>
                <router-link tag="li" to="/analytics" active-class="nav_item-active">{{ local.analytics[$lang] }}</router-link>
                <router-link tag="li" to="/security" active-class="nav_item-active">{{ local.security[$lang] }}</router-link>
                <router-link tag="li" to="/comfort" active-class="nav_item-active">{{ local.comfort[$lang] }}</router-link>
                </ul>          
            </nav>
            <router-view></router-view>
        </div>
    </div>
</template>

<script>
 import NavSection from "../NavSection.vue"
 import local from "../../localisation/fifthSectionLocalisation.js"

 export default {
     data: () => ({
         local
     }),
     components: {
         NavSection,
     },
 }
</script>

<style lang="scss" scoped>
    .wrapper {
        justify-content: center;
        position: relative;
    }
    .background {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background-image: url('/assets/img/pattern.png');
        background-color: rgba(0,0,0,0.8);
    }
    .content {
        z-index: 10;
        width: 100%;
        max-width: 1180px;
        flex-wrap: wrap;
        justify-content: center;
        align-content: flex-start;
        padding-bottom: 120px;
        @media(max-width: 900px){
            padding-bottom: 30px;
        }
        &-title {
            width: 100%;
            margin: 120px 0 65px;
            color: #fff;
            text-align: center;
            @media(max-width: 1100px){
                margin-top: 70px;
            }
            @media(max-width: 900px){
                margin: 30px 0;
            }
            @media(max-width: 620px){
                font-size: 20px
            }
        }
        nav{
            width: 100%;
            @media(max-width: 620px){
                overflow: scroll;
                overflow-y: hidden;
                // justify-content: flex-start;
            }
        }
        ul {
            padding: 0;
            width: 100%;
            max-width: 750px;
            display: flex;
            margin: 14px auto 68px;
            justify-content: space-between;
            @media(max-width: 900px){
                margin-bottom: 40px;
            }
            @media(max-width: 620px){
                // flex-wrap: wrap;/
                width: 600px;
                // overflow: scroll;
                // justify-content: flex-start;
            }
            li {
                height: 17px;
                list-style-type: none;
                font-family: 'Comfortaa', sans-serif;
                font-size: 13px;
                font-weight: bold;
                letter-spacing: 0.6px;
                color: #30b164;
                text-transform: uppercase;
                &:hover {
                    cursor: pointer;
                }
                @media(max-width: 900px){
                    font-size: 12px;
                }
                @media(max-width: 700px){
                    font-size: 10px;
                }
                @media(max-width: 620px){
                
                }
            }
            .nav_item-active {
                position: relative;
                &:after {
                    content: '';
                    left: 0;
                    bottom: -8px;
                    position: absolute;
                    height: 2px;
                    width: 100%;
                    border-radius: 1.5px;
                    background-color: #30b164;
                     
                }
            }
        }
    }
</style>
